import java.awt.*;
import java.awt.event.*;


@SuppressWarnings("serial")
public class Opciones extends Dialog implements ActionListener, WindowListener
{
    Button bAceptar, bCancelar, bSi, bNo;

    Label lNombreJugador1, lNombreJugador2, lNombreArchivo, lNombreArchivoAdvertencia1, lNombreArchivoAdvertencia2, lAdvertencia;

    Label lEstadistica1,lEstadistica2,lEstadistica3,lEstadistica4,lEstadistica5,lEstadistica6,lEstadistica7;
    Label lEstadistica8,lEstadistica9,lEstadistica9b,lEstadistica10,lEstadistica11,lEstadistica12,lEstadistica13,lEstadistica14;
    Label lEstadistica15,lEstadistica16,lEstadistica17,lEstadistica18,lEstadistica19,lEstadistica20,lEstadistica21;
    Label lEstadistica22,lEstadistica23,lEstadistica24,lEstadistica25,lEstadistica26,lEstadistica27,lEstadistica28;
    Label lEstadistica29,lEstadistica30,lEstadistica31,lEstadistica32,lEstadistica33,lEstadistica34,lEstadistica35,lEstadistica36;
    
    Panel p2;
    
    Checkbox boton1, boton2, boton3, boton4, boton5, boton6;
    
    CheckboxGroup botones,botones2;
    
    TextField tNombreJugador1, tNombreJugador2, tNombreArchivo;

    TextArea texto;
    
    String escritura ="";
    
    Color Gainsboro = new Color (220,220,220);
    
    public Opciones(Frame frame) 
    {
    	super(frame);
    	
    	bAceptar = new Button("Aceptar");
        bCancelar = new Button("Cancelar");
        bSi = new Button(" Si ");
        bNo = new Button(" No ");
        
        lNombreJugador1 = new Label("Jugador 1 ");
        lNombreJugador2 = new Label("Jugador 2 ");

        lNombreArchivo = new Label("Nombre del archivo: ");
        lAdvertencia = new Label();
        
        tNombreJugador1 = new TextField();
        tNombreJugador2 = new TextField();
        tNombreArchivo = new TextField();
        
        texto = new TextArea();
        
        setModal(true);
        setLayout(null);
        
        bAceptar.addActionListener(this);
        bCancelar.addActionListener(this);
        bNo.addActionListener(this);
        bSi.addActionListener(this);
        
      
        
        addWindowListener(this);
    }
    
    public void mostrar(String s)
    {
        
        if(s.equals("Acerca de Zorra y Gansos"))
        {	
        	setTitle(s);
        	//setBounds(225, 100, 800, 600);
        	setBounds(225, 75, 700, 490);
        	escribir(true);
        	add(texto);
        	//texto.setBounds(20,40,760,530);
      		//texto.setBounds(20,40,760,460);
        	texto.setBounds(20,40,650,380);
        	texto.setText(escritura);
        	texto.setEditable(false);
        	
			//Color PaleGreen = new Color(152,251,152); //98fb98
        	//Color Lavender = new Color(230,230,250);
        	
        	texto.setBackground(Gainsboro);
        	//bAceptar.setBounds(getWidth() / 2 - 50, 530, 90, 30);
        	bAceptar.setBounds(getWidth() / 2 - 50, 440, 90, 30);
        	add(bAceptar);
        	
        	
        }
        else 
        	if(s.equals("Como jugar"))
        	{        		
        		setTitle(s);
            	//setBounds(225, 100, 800, 630);
            	setBounds(225, 75, 700, 490);
            	escribir(false);
            	add(texto);
          		//texto.setBounds(20,40,760,530);
          		texto.setBounds(20,40,650,380);
          		texto.setText(escritura);
            	texto.setEditable(false);
            	texto.setBackground(Gainsboro);
          		//bAceptar.setBounds(getWidth() / 2 - 50, 580, 90, 30);
          		bAceptar.setBounds(getWidth() / 2 - 50, 440, 90, 30);
          		add(bAceptar);
        	}
        /*
        else
        	if(s.equals("Cambiar Nombre Jugador1") || s.equals("Cambiar Nombre Jugador2"))        		
        	{	     	
        		setTitle("Cambiar Nombre");
        		setBounds(300, 300, 300, 170);
        		lNombreJugador1.setBounds(10, 35, 90, 30);
        		lNombreJugador2.setBounds(10, 65, 90, 30);
        		add(lNombreJugador1);
        		add(lNombreJugador2);
        		tNombreJugador1.setBounds(105, 40, getWidth() - 110, 20);
        		tNombreJugador2.setBounds(105, 70, getWidth() - 110, 20);
        		add(tNombreJugador1);
        		add(tNombreJugador2);
        		bAceptar.setBounds(getWidth() / 2 - 100, 120, 90, 30);
        		bCancelar.setBounds(getWidth() / 2 + 10, 120, 90, 30);
        		add(bAceptar);
        		add(bCancelar);
            
        		tNombreJugador1.setText(ZorraGansos.lInfoJug1.getText());
        		tNombreJugador2.setText(ZorraGansos.lInfoJug2.getText());
           
        		if(s.equals("Cambiar Nombre Jugador1"))
        			tNombreJugador2.setEditable(false);
        		else	
        			tNombreJugador1.setEditable(false);
        	
        	}
        */
        /*
        else 
        	if(s.equals("Pedir nombre archivo"))
        	{
        		setTitle("Nombre del archivo a guardar");
        		setBounds(300, 300, 400, 170);
        		lNombreArchivo.setBounds(10, 85, 130, 30);
        		add(lNombreArchivo);
    			tNombreArchivo.setBounds(140, 90, 230, 20);
    			add(tNombreArchivo);
    			lNombreArchivoAdvertencia1.setBounds(10, 30, 380, 30);
    			add(lNombreArchivoAdvertencia1);
    			lNombreArchivoAdvertencia2.setBounds(10, 50, 380, 30);
    			add(lNombreArchivoAdvertencia2);
    			bAceptar.setBounds(getWidth() / 2 - 100, 120, 90, 30);
    			bCancelar.setBounds(getWidth() / 2 + 10, 120, 90, 30);
    			add(bAceptar);
    			add(bCancelar);
        
    			tNombreArchivo.setText("Introduce nombre");
        	
        	}
        */
        else 
        	if(s.equals("Partida nueva tablero"))
        	{
        		
        		this.setTitle("Nuevo Juego - Tipo de tablero");
        		//setSize(400,80);
        		setSize(600,80);
        		setLocationRelativeTo(null);
        		setResizable(false);
        		setLayout(new FlowLayout());
        		setModal(true);
        		botones = new CheckboxGroup();
        		boton1 = new Checkbox("5x5   ", botones, true);
        		//añadido
	     	    boton2 = new Checkbox("7x7   ", botones, false);
	     	    boton3 = new Checkbox("Cruz  ", botones, false);
	     	    boton4 = new Checkbox("5x5(Clásico)", botones, false);
        		boton5 = new Checkbox("Cruz(Clásico)", botones, false);
        		boton6 = new Checkbox("7x7(Con Rest.)", botones, false);
	     	    p2 = new Panel();
	     	    p2.setLayout(new FlowLayout());
	     	    p2.add(boton1);
	  	        //añadido
	     	    p2.add(boton2);
	     	    p2.add(boton3);
	     	    
	     	    p2.add(boton4);
	     	    p2.add(boton5);
	     	    p2.add(boton6);
	     	    add(p2);
	  	       
	     	    bAceptar.setBounds(0, 0, 0, 0);
	  	        add(bAceptar);
	        
	  	        validate();
        	}
        
        else 
        	if(s.equals("Partida nueva controlJug1"))
        	{
        		this.setTitle("Nuevo Juego - ¿Quién controlará a los Gansos?");
        		setSize(600,80);
        		setLocationRelativeTo(null);
        		setResizable(false);
        		setLayout(new FlowLayout());
        		setModal(true);
        		botones = new CheckboxGroup();
        		boton1 = new Checkbox("    Usuario          ", botones, true);
        		boton2 = new Checkbox("    PC          ", botones, false);
        		p2 = new Panel();
        		p2.setLayout(new FlowLayout());
        		p2.add(boton1);
        		p2.add(boton2);
        		add(p2);
        		bAceptar.setBounds(0, 0, 0, 0);
        		add(bAceptar);
	        
        		validate();
        	}
        
        else 
        	if(s.equals("Partida nueva controlJug2"))
        	{
        	    this.setTitle("Nuevo Juego - ¿Quién controlará la Zorra?");
        	    setSize(600,80);
        	    setLocationRelativeTo(null);
        	    setResizable(false);
        	    setLayout(new FlowLayout());
        	    setModal(true);
        	    botones = new CheckboxGroup();
        	    boton1 = new Checkbox("    Usuario          ", botones, true);
        		boton2 = new Checkbox("    PC          ", botones, false);
        	    p2 = new Panel();
        	    p2.setLayout(new FlowLayout());
        	    p2.add(boton1);
        	    p2.add(boton2);
        	    add(p2);
        	    bAceptar.setBounds(0, 0, 0, 0);
        	    add(bAceptar);
	        
        	    validate();
        	}
        
        
        
        
        	else 
            	if(s.equals("Elige nivel"))
            	{
            		this.setTitle("Nivel");
            		setSize(600,80);
            		setLocationRelativeTo(null);
            		setResizable(false);
            		setLayout(new FlowLayout());
            		setModal(true);
            		botones = new CheckboxGroup();
            		boton1 = new Checkbox("Facil  ", botones, true);
            		boton2 = new Checkbox("Medio  ", botones, false);
            		boton3 = new Checkbox("Dificil  ", botones, false);
            		boton4 = new Checkbox("Aleatorio  ", botones, false);
            		p2 = new Panel();
            		p2.setLayout(new FlowLayout());
            		p2.add(boton1);
            		p2.add(boton2);
            		p2.add(boton3);
            		p2.add(boton4);
            		add(p2);
            		bAceptar.setBounds(0, 0, 0, 0);
            		add(bAceptar);
    	        
            		validate();
            	}
  
        else 
        	if(s.equals("Partida nueva turno2jug"))
        	{
        		this.setTitle("Nuevo Juego - ¿Quién comenzará el turno?");
        		setSize(600,80);
        		setLocationRelativeTo(null);
        		setResizable(false);
        		setLayout(new FlowLayout());
        		setModal(true);
        		botones = new CheckboxGroup();
        		boton1 = new Checkbox("Los GANSOS)  ", botones, true);
        		boton2 = new Checkbox("LA ZORRA  ", botones, false);
        		p2 = new Panel();
        		p2.setLayout(new FlowLayout());
		        p2.add(boton1);
		        p2.add(boton2);
		        add(p2);
		        bAceptar.setBounds(0, 0, 0, 0);
		        add(bAceptar);
	        
		        validate();
        	}
        
        
        else
        {
        	if(s.equals("Desea Salir ") || s.equals("Desea Salir"))
        	{
        		setTitle("  La Zorra y los Gansos ");
        		setBounds(300, 300, 320,100);
        		lAdvertencia.setText("Desea guardar esta Partida antes de cerrarla");
        		lAdvertencia.setBounds(30, 35, 300, 20);
        		add(lAdvertencia);
        		bSi.setBounds(30 , 65, 70 , 25);
        		bNo.setBounds(115 , 65, 70 , 25);
        		bCancelar.setBounds(200 , 65 , 70, 25);
        		add(bSi);add(bNo);
        		add(bCancelar);
        	}
        	else 
        		if(s.equals("Empezar"))
        		{
    				setTitle("  La Zorra y los Gansos  ");
    				setBounds(300, 300, 320,100);
    				lAdvertencia.setText("Desea Empezar una nueva Partida");
    				lAdvertencia.setBounds(60, 35, 300, 20);
    				add(lAdvertencia);
    				bSi.setBounds(60 , 65, 70 , 25);
    				bNo.setBounds(170 , 65, 70 , 25);
    				bCancelar.setBounds(200 , 65 , 70, 25);
    				add(bSi);add(bNo);
    			}
        		
        		else 
        			if (s.equals("Estadisticas jug2"))
        			{
        				setTitle("  Estadísticas la Zorra y los Gansos ");
	        			//setBounds(225, 100, 800, 630);
	        			setBounds(180, 50, 700, 485);

	        			//setBackground(new Color( 176, 196, 222)); (Azul)
	        			setBackground(Gainsboro);

	        			lEstadistica1 = new Label("Estadísticas Juego 'LA ZORRA Y LOS GANSOS' ");
	        			lEstadistica1.setBounds(225, 35, 700, 20);
	        			lEstadistica4 = new Label("Tiempo transcurrido   =   "+ZorraGansos.tiempo.hora+" horas: "+ZorraGansos.tiempo.minutos+" minutos: "+ZorraGansos.tiempo.seg+" segundos  ");
	        			lEstadistica4.setBounds(30, 75, 700, 20);

	        			add(lEstadistica1);
	        			add(lEstadistica4);
	        			
        			
        			//INFORMACION DEL JUGADOR 1
        			
	        			lEstadistica2 = new Label(" GANSOS -  \"En juego\"  ");
	        			lEstadistica2.setBounds(70, 105, 700, 20);
	        			add(lEstadistica2);
	        			if(ZorraGansos.tablero.jugadores[0].esPC)
	        			{
	        				lEstadistica3 = new Label("Modo Juego: PC");
	        				if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 1)
	        				{
	        					lEstadistica5 = new Label ("Nivel Facil");
	        				}
	        				else 
	        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 2)
	        				{
	        					lEstadistica5 = new Label ("Nivel Medio");
	        				}
	        				else 
	        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 3)
		        				{
		        					lEstadistica5 = new Label ("# Profundidad: Nivel 3");
		        				}
		        				else 
		        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 4)
			        				{
			        					lEstadistica5 = new Label ("Nivel Dificil");
			        				}
			        	}	
	        			
        			else
        			{
        				lEstadistica3 = new Label("Modo Juego: Humano ");

        				lEstadistica5 = new Label("Nivel: Nulo (No tiene porque este jugador no es PC)");
        			}
	        			
        			lEstadistica3.setBounds(90, 135, 700, 20);
        			add(lEstadistica3);
        			
        			lEstadistica5.setBounds(120, 165, 700, 20);
        			add(lEstadistica5);
        			
        			lEstadistica6 = new Label("Datos de los Gansos.");
        			lEstadistica6.setBounds(60, 205, 700, 20);
        			add(lEstadistica6);
        			
        			lEstadistica8 = new Label("Número de movimientos realizados: "+ZorraGansos.tablero.jugadores[0].movimientos);
    				
        			lEstadistica8.setBounds(90, 235, 700, 20);
        			add(lEstadistica8);
        			
        			
        			//INFORMACION DEL JUGADOR 2
        			
        			lEstadistica10 = new Label("ZORRA -  \"En juego\"  *");
        			lEstadistica10.setBounds(70, 275, 700, 20);
        			add(lEstadistica10);
        			
        			if(ZorraGansos.tablero.jugadores[1].esPC)
        			{
        				lEstadistica11 = new Label("Modo Juego: PC");
        				
        				if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 1)
        				{
        					lEstadistica13 = new Label ("Nivel Facil");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 2)
        				{
        					lEstadistica13 = new Label ("# Profundidad: Nivel 2");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 3)
        				{
        					lEstadistica13 = new Label ("Nivel Medio");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 4)
        				{
        					lEstadistica13 = new Label ("Nivel Dificil");
        				}
 
        			}
        			else
        			{
        				lEstadistica11 = new Label("Modo Juego: Humano");
        				
        				lEstadistica13 = new Label("Nivel: Nulo (No tiene porque este jugador no es PC)");
        			}
        			lEstadistica11.setBounds(90, 305, 700, 20);
        			add(lEstadistica11);
        			
        			lEstadistica13.setBounds(120, 335, 700, 20);
        			add(lEstadistica13);
        			
        			lEstadistica14 = new Label("Datos de los Zorra.");
        			lEstadistica14.setBounds(60, 375, 700, 20);
        			add(lEstadistica14);
        			
        			lEstadistica16 = new Label("Número de movimientos realizados: "+ZorraGansos.tablero.jugadores[1].movimientos);
    				
        			lEstadistica16.setBounds(90, 405, 700, 20);
        			add(lEstadistica16);
        			
        			
        			//bAceptar.setBounds(getWidth() / 2 - 50, 580, 90, 30);
        			bAceptar.setBounds(getWidth() / 2 - 50, 440, 90, 30);
                	add(bAceptar);
        			bCancelar.setBounds(225 , 65 , 70, 25);
        			
        		}
        	
        	
        	
        	
        	
        	
        	
        	
        		else if (s.equals("ganador jug1 numjugadores2"))
        		{
        			        			
        			setTitle("  Fin de la Partida la Zorra y los Gansos ");
        			//setBounds(225, 100, 800, 630);
        			setBounds(180, 50, 700, 485);

        			//setBackground(new Color( 176, 196, 222)); (Azul)
        			setBackground(Gainsboro);

        			lEstadistica1 = new Label("Estadísticas Juego 'LA ZORRA Y LOS GANSOS' ");
        			lEstadistica1.setBounds(225, 35, 700, 20);
        			lEstadistica4 = new Label("Tiempo transcurrido   =   "+ZorraGansos.tiempo.hora+" horas: "+ZorraGansos.tiempo.minutos+" minutos: "+ZorraGansos.tiempo.seg+" segundos  ");
        			lEstadistica4.setBounds(30, 75, 700, 20);

        			add(lEstadistica1);
        			add(lEstadistica4);
        			
        			//INFORMACION DEL JUGADOR 1
        			
        			lEstadistica2 = new Label(" GANSOS -  \"GANADOR\"  ");
        			lEstadistica2.setBounds(70, 105, 700, 20);
        			add(lEstadistica2);
        			if(ZorraGansos.tablero.jugadores[0].esPC)
        			{
        				lEstadistica3 = new Label("Modo Juego: PC");
        				if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 1)
        				{
        					lEstadistica5 = new Label ("Nivel Facil");
        				}
        				else 
        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 2)
        				{
        					lEstadistica5 = new Label ("Nivel Medio");
        				}
        				else 
        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 3)
	        				{
	        					lEstadistica5 = new Label ("# Profundidad: Nivel 3");
	        				}
	        				else 
	        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 4)
		        				{
		        					lEstadistica5 = new Label ("Nivel Dificil");
		        				}
		        	}	
        			
    			else
    			{
    				lEstadistica3 = new Label("Modo Juego: Humano ");

    				lEstadistica5 = new Label("Nivel: Nulo (No tiene porque este jugador no es PC)");
    			}
        			
    			lEstadistica3.setBounds(90, 135, 700, 20);
    			add(lEstadistica3);
    			
    			lEstadistica5.setBounds(120, 165, 700, 20);
    			add(lEstadistica5);
    			
    			lEstadistica6 = new Label("Datos de los Gansos.");
    			lEstadistica6.setBounds(60, 205, 700, 20);
    			add(lEstadistica6);
    			
    			lEstadistica8 = new Label("Número de movimientos realizados: "+ZorraGansos.tablero.jugadores[0].movimientos);
				
    			lEstadistica8.setBounds(90, 235, 700, 20);
    			add(lEstadistica8);
        			
        			
        			//INFORMACION DEL JUGADOR 2
        			
        			lEstadistica10 = new Label("ZORRA -  \"PERDEDOR\"  *");
        			lEstadistica10.setBounds(70, 275, 700, 20);
        			add(lEstadistica10);
        			
        			if(ZorraGansos.tablero.jugadores[1].esPC)
        			{
        				lEstadistica11 = new Label("Modo Juego: PC");
        				
        				if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 1)
        				{
        					lEstadistica13 = new Label ("Nivel Facil");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 2)
        				{
        					lEstadistica13 = new Label ("# Profundidad: Nivel 2");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 3)
        				{
        					lEstadistica13 = new Label ("Nivel Medio");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 4)
        				{
        					lEstadistica13 = new Label ("Nivel Dificil");
        				}
 
        			}
        			else
        			{
        				lEstadistica11 = new Label("Modo Juego: Humano");
        				
        				lEstadistica13 = new Label("Nivel: Nulo (No tiene porque este jugador no es PC)");
        			}
        			lEstadistica11.setBounds(90, 305, 700, 20);
        			add(lEstadistica11);
        			
        			lEstadistica13.setBounds(120, 335, 700, 20);
        			add(lEstadistica13);
        			
        			lEstadistica14 = new Label("Datos de los Zorra.");
        			lEstadistica14.setBounds(60, 375, 700, 20);
        			add(lEstadistica14);
        			
        			lEstadistica16 = new Label("Número de movimientos realizados: "+ZorraGansos.tablero.jugadores[1].movimientos);
    				
        			lEstadistica16.setBounds(90, 405, 700, 20);
        			add(lEstadistica16);
        			
        			
        			//bAceptar.setBounds(getWidth() / 2 - 50, 580, 90, 30);
        			bAceptar.setBounds(getWidth() / 2 - 50, 440, 90, 30);
                	add(bAceptar);
        			bCancelar.setBounds(225 , 65 , 70, 25);
        			
        		}
        		else if (s.equals("ganador jug2 numjugadores2"))
        		{
        			setTitle("  Fin de la Partida la Zorra y los Gansos ");
        			//setBounds(225, 100, 800, 630);
        			setBounds(180, 50, 700, 485);
        			//setBackground(new Color( 176, 196, 222)); (Azul)
        			setBackground(Gainsboro);

        			lEstadistica1 = new Label("Estadísticas Juego 'LA ZORRA Y LOS GANSOS' ");
        			lEstadistica1.setBounds(225, 35, 700, 20);
        			lEstadistica4 = new Label("Tiempo transcurrido   =   "+ZorraGansos.tiempo.hora+" horas: "+ZorraGansos.tiempo.minutos+" minutos: "+ZorraGansos.tiempo.seg+" segundos  ");
        			lEstadistica4.setBounds(30, 75, 700, 20);

        			add(lEstadistica1);
        			add(lEstadistica4);
        			
        			//INFORMACION DEL JUGADOR 1
        			
        			lEstadistica2 = new Label(" GANSOS -  \"PERDEDOR\"  ");
        			lEstadistica2.setBounds(70, 105, 700, 20);
        			add(lEstadistica2);
        			if(ZorraGansos.tablero.jugadores[0].esPC)
        			{
        				lEstadistica3 = new Label("Modo Juego: PC");
        				if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 1)
        				{
        					lEstadistica5 = new Label ("Nivel Facil");
        				}
        				else 
        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 2)
        				{
        					lEstadistica5 = new Label ("Nivel Medio");
        				}
        				else 
        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 3)
	        				{
	        					lEstadistica5 = new Label ("# Profundidad: Nivel 3");
	        				}
	        				else 
	        					if(ZorraGansos.tablero.jugadores[0].nivelProfundidad == 4)
		        				{
		        					lEstadistica5 = new Label ("Nivel Dificil");
		        				}
		        	}	
        			
    			else
    			{
    				lEstadistica3 = new Label("Modo Juego: Humano ");

    				lEstadistica5 = new Label("Nivel: Nulo (No tiene porque este jugador no es PC)");
    			}
        			
    			lEstadistica3.setBounds(90, 135, 700, 20);
    			add(lEstadistica3);
    			
    			lEstadistica5.setBounds(120, 165, 700, 20);
    			add(lEstadistica5);
    			
    			lEstadistica6 = new Label("Datos de los Gansos.");
    			lEstadistica6.setBounds(60, 205, 700, 20);
    			add(lEstadistica6);
    			
    			lEstadistica8 = new Label("Número de movimientos realizados: "+ZorraGansos.tablero.jugadores[0].movimientos);
				
    			lEstadistica8.setBounds(90, 235, 700, 20);
    			add(lEstadistica8);
        			
        			
        			//INFORMACION DEL JUGADOR 2
        			
        			lEstadistica10 = new Label("ZORRA -  \"GANADOR\"  *");
        			lEstadistica10.setBounds(70, 275, 700, 20);
        			add(lEstadistica10);
        			
        			if(ZorraGansos.tablero.jugadores[1].esPC)
        			{
        				lEstadistica11 = new Label("Modo Juego: PC");
        				
        				if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 1)
        				{
        					lEstadistica13 = new Label ("Nivel Facil");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 2)
        				{
        					lEstadistica13 = new Label ("# Profundidad: Nivel 2");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 3)
        				{
        					lEstadistica13 = new Label ("Nivel Medio");
        				}
        				else if(ZorraGansos.tablero.jugadores[1].nivelProfundidad == 4)
        				{
        					lEstadistica13 = new Label ("Nivel Dificil");
        				}
 
        			}
        			else
        			{
        				lEstadistica11 = new Label("Modo Juego: Humano");
        				
        				lEstadistica13 = new Label("Nivel: Nulo (No tiene porque este jugador no es PC)");
        			}
        			lEstadistica11.setBounds(90, 305, 700, 20);
        			add(lEstadistica11);
        			
        			lEstadistica13.setBounds(120, 335, 700, 20);
        			add(lEstadistica13);
        			
        			lEstadistica14 = new Label("Datos de los Zorra.");
        			lEstadistica14.setBounds(60, 375, 700, 20);
        			add(lEstadistica14);
        			
        			lEstadistica16 = new Label("Número de movimientos realizados: "+ZorraGansos.tablero.jugadores[1].movimientos);
    				
        			lEstadistica16.setBounds(90, 405, 700, 20);
        			add(lEstadistica16);
        			
        			
        			//bAceptar.setBounds(getWidth() / 2 - 50, 580, 90, 30);
        			bAceptar.setBounds(getWidth() / 2 - 50, 440, 90, 30);
                	add(bAceptar);
        			bCancelar.setBounds(225 , 65 , 70, 25);
        		}
        	
        	}	
        setResizable(false);
        setVisible(true);
    }
    
    public void actionPerformed(ActionEvent actionevent)
    {
    	if(actionevent.getSource() == bAceptar)
    	{
    		String jug1 = "" + tNombreJugador1.getText();
            String jug2 = "" + tNombreJugador2.getText();
            
            String nombreArchiv = "" + tNombreArchivo.getText();
            
            if(!nombreArchiv.trim().equals(""))
            {
               	ZorraGansos.NombreArchivo = tNombreArchivo.getText();
            }
            
            if(!jug1.trim().equals(""))
            {
               	ZorraGansos.lInfoJug1.setText(jug1);
            }
            
            if(!jug2.trim().equals(""))
            {
               	ZorraGansos.lInfoJug2.setText(jug2);
            }
          
            extracted();  //Lo usamos para poder salir del menu al pinchar aceptar
    	}
    	
    	if (actionevent.getSource() == bCancelar)
    	{
    		extracted();  //Lo usamos para poder salir del menu al pinchar Cancelar
    	}
    	
    	if(actionevent.getSource() == bSi)
    	{
    		extracted();  //Lo usamos para poder salir del menu al pinchar Si
    	}
    	
    	if(actionevent.getSource() == bNo)
    	{
    		extracted();  //Lo usamos para poder salir del menu al pinchar No
    	}
    }
	
    public void escribir(boolean como){
    	if(como==true)
    		//acerca de damas chinas
    	escritura="\n\t\t\t\t\t\tJUEGO: LA ZORRA Y LOS GANSOS\n\n\n"+
    	 
    	" \tCREADOR DE LA APLICACIÓN:\n\n"+
    	"     - Fco Javier Rincón Benítez\n\n\n\n" +
    	"                    HISTORIA:\n\n\n"+
    	"              Se trata de un juego de la Europa medieval de la familia conocida como TAFL. Su\n\n"+
    	"            origen es Escandinavo. La primera referencia escrita de este juego se encuentra en\n\n"+
    	"            la Saga de “Grettis”, de la literatura islandesa, que data del año 1300. En torno a la\n\n"+
    	"            misma época, diversos documentos han probado también su existencia en Italia e Inglaterra.\n\n"+
    	"              Hay muchas variantes, por ejemplo los indígenas Pieles Rojas de Arizona lo llaman\n\n"+
    	"            Pon Chochotl (que significa coyote y gallinas)\n\n\n"+
    	"                    PRESENTACIÓN :\n\n\n"+
    	"           - Juego de captura y bloqueo, de fuerzas desiguales, de persecución. Juego para dos jugadores.\n\n"+
    	"           - Se necesita el tablero de juego, una ficha (el zorro) y un número de fichas de otro color\n\n " +
    	"           (los gansos). En nuestro caso, tenemos fichas con el dibujo de un zorro y varios gansos.\n\n\n\n\n"
    	
    	;
		else 
			//como jugar
			escritura="\n\t\t\t\t\t\t¿CÓMO JUGAR?\n\n\n"+
    	"      REGLAS:\n\n\n"+
    	"         Se colocan las fichas en la posición inicial, según el dibujo.\n\n\n"+
    	"             - Los jugadores se mueven por turno.\n\n\n "+
    	"             - Los jugadores se mueven por turno.\n\n\n"+
    	"             - El que tiene los gansos comienza la partida moviendo uno de los gansos a una casilla\n\n"+
    	"               contigua. Los gansos se moverán en vertical u horizontal y nunca en diagonal ni hacia atrás.\n\n\n"+ 
    	"	          - El zorro puede desplazarse, en todas las direcciones, a una casilla contigua vacía.\n\n\n"+
    	"             - El zorro se come a un ganso saltando sobre él.\n\n\n\n"+
    	"       OBJETIVOS:\n\n\n"+
    	"             - De los gansos: bloquear y arrinconar al zorro.\n\n\n"+
    	"             - Del zorro: comerse los máximos gansos posibles para que no lo puedan bloquear.\n\n\n\n\n"
    	
    	;
    	
    }
    public void windowOpened(WindowEvent windowevent)
    {
    }

    public void windowActivated(WindowEvent windowevent)
    {
    }

    public void windowDeactivated(WindowEvent windowevent)
    {
    }

    public void windowClosing(WindowEvent windowevent)
    {
       extracted();
    }

    public void windowClosed(WindowEvent windowevent)
    {
    }

    public void windowIconified(WindowEvent windowevent)
    {
    }

    public void windowDeiconified(WindowEvent windowevent)
    {
    }
    @SuppressWarnings("deprecation")
	private void extracted()  //Lo usamos para poder salir de los menus al pinchas aceptar/cancelar
    {
		hide(); 
	}
}